Bug 1004246 - Location of busineess central maven repo dir should be configurable
Location of busineess central maven repo dir should be configurable
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ER4
: 6.0.0
Assigned To: Mark Proctor
Petr Široký
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 05:38 EDT by Petr Široký
Modified: 2014-08-06 16:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:19:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Široký 2013-09-04 05:38:21 EDT
Description of problem:
Currently the business central maven repo dir is created in working directory, typically at $EAP_DIR/bin/repository. The location should be configurable, similarly like the .niogit and .index locations.

Please look at .niogit/.index config implementation/property naming so the entire app has some unified naming/impl for the config properties.


Version-Release number of selected component (if applicable):
6.0.0-ER2
Comment 2 Petr Široký 2013-10-17 10:57:14 EDT
Verified fixed in ER4. Both relative and absolute path can be used to specify Maven repo location.

Note You need to log in before you can comment on or make changes to this bug.